| The Gaudi Framework v32r1 (f65d50dc)

Public Types | Public Member Functions | Public Attributes | List of all members
Gaudi::Parsers::EdgeGrammar< Iterator, Skipper > Class Template Reference
Inheritance diagram for Gaudi::Parsers::EdgeGrammar< Iterator, Skipper >:
[legend]
Collaboration diagram for Gaudi::Parsers::EdgeGrammar< Iterator, Skipper >:
[legend]

## Public Types
typedef Edges | ResultT

## Public Member Functions
| EdgeGrammar ()

## Public Attributes
VectorGrammar< Iterator, std::vector< double >, Skipper > | edges
RealGrammar< Iterator, double, Skipper > | low
RealGrammar< Iterator, double, Skipper > | high
IntGrammar< Iterator, unsigned int, Skipper > | nbins
qi::rule< Iterator, Edges(), qi::locals< char >, Skipper > | result
qi::rule< Iterator, Edges(), Skipper > | inner
qi::rule< Iterator, Edges(), Skipper > | inner_pairs
qi::rule< Iterator, char()> | begin
qi::rule< Iterator, void(char)> | end

## Detailed Description

### template<typename Iterator, typename Skipper>
class Gaudi::Parsers::EdgeGrammar< Iterator, Skipper >

Author
  Vanya BELYAEV Ivan..nosp@m.Bely.nosp@m.aev@n.nosp@m.ikhe.nosp@m.f.nl

Date
  2009-09-26

Definition at line 48 of file HistoParsers.cpp.

## Member Typedef Documentation

## ◆ ResultT

template<typename Iterator, typename Skipper>

typedef Edges Gaudi::Parsers::EdgeGrammar< Iterator, Skipper >::ResultT

Definition at line 52 of file HistoParsers.cpp.

## Constructor & Destructor Documentation

## ◆ EdgeGrammar()

template<typename Iterator, typename Skipper>

Gaudi::Parsers::EdgeGrammar< Iterator, Skipper >::EdgeGrammar | ( |  | ) |
| inline

Definition at line 56 of file HistoParsers.cpp.

56 : EdgeGrammar::base_type( result ) {
57 inner = ( ( qi::lit( "edges" ) | "'edges'" | "\"edges\"" ) >> ":" >> edges[qi::_val *= qi::_1] ) |
58 inner_pairs[qi::_val = qi::_1];
59 inner_pairs = ( ( ( qi::lit( "nbins" ) | "'nbins'" | "\"nbins\"" ) >> ":" >> nbins[qi::_val /= qi::_1] ) |
60 ( ( qi::lit( "low" ) | "'low'" | "\"low\"" ) >> ":" >> low[qi::_val -= qi::_1] ) |
61 ( ( qi::lit( "high" ) | "'high'" | "\"high\"" ) >> ":" >> high[qi::_val += qi::_1] ) ) %
62 ',';
63
64 begin =
65 enc::char_( '[' )[qi::_val = ']'] | enc::char_( '{' )[qi::_val = '}'] | enc::char_( '(' )[qi::_val = ')'];
66 end = enc::char_( qi::_r1 );
67 result = begin[qi::_a = qi::_1] >> inner[qi::_val = qi::_1] >> end( qi::_a );
68 }
Gaudi::Parsers::EdgeGrammar::nbins
IntGrammar< Iterator, unsigned int, Skipper > nbins
Definition: HistoParsers.cpp:71
Gaudi::Parsers::EdgeGrammar::low
RealGrammar< Iterator, double, Skipper > low
Definition: HistoParsers.cpp:70
Gaudi::Parsers::EdgeGrammar::result
qi::rule< Iterator, Edges(), qi::locals< char >, Skipper > result
Definition: HistoParsers.cpp:72
Gaudi::Parsers::EdgeGrammar::high
RealGrammar< Iterator, double, Skipper > high
Definition: HistoParsers.cpp:70
Gaudi::Parsers::EdgeGrammar::edges
VectorGrammar< Iterator, std::vector< double >, Skipper > edges
Definition: HistoParsers.cpp:69
Gaudi::Parsers::EdgeGrammar::inner_pairs
qi::rule< Iterator, Edges(), Skipper > inner_pairs
Definition: HistoParsers.cpp:73
Gaudi::Parsers::EdgeGrammar::end
qi::rule< Iterator, void(char)> end
Definition: HistoParsers.cpp:75
Gaudi::Parsers::EdgeGrammar::inner
qi::rule< Iterator, Edges(), Skipper > inner
Definition: HistoParsers.cpp:73
Gaudi::Parsers::EdgeGrammar::begin
qi::rule< Iterator, char()> begin
Definition: HistoParsers.cpp:74

## Member Data Documentation

## ◆ begin

template<typename Iterator, typename Skipper>

qi::rule<Iterator, char()> Gaudi::Parsers::EdgeGrammar< Iterator, Skipper >::begin

Definition at line 74 of file HistoParsers.cpp.

## ◆ edges

template<typename Iterator, typename Skipper>

VectorGrammar<Iterator, std::vector<double>, Skipper> Gaudi::Parsers::EdgeGrammar< Iterator, Skipper >::edges

Definition at line 69 of file HistoParsers.cpp.

## ◆ end

template<typename Iterator, typename Skipper>

qi::rule<Iterator, void( char )> Gaudi::Parsers::EdgeGrammar< Iterator, Skipper >::end

Definition at line 75 of file HistoParsers.cpp.

## ◆ high

template<typename Iterator, typename Skipper>

RealGrammar<Iterator, double, Skipper> Gaudi::Parsers::EdgeGrammar< Iterator, Skipper >::high

Definition at line 70 of file HistoParsers.cpp.

## ◆ inner

template<typename Iterator, typename Skipper>

qi::rule<Iterator, Edges(), Skipper> Gaudi::Parsers::EdgeGrammar< Iterator, Skipper >::inner

Definition at line 73 of file HistoParsers.cpp.

## ◆ inner_pairs

template<typename Iterator, typename Skipper>

qi::rule<Iterator, Edges(), Skipper> Gaudi::Parsers::EdgeGrammar< Iterator, Skipper >::inner_pairs

Definition at line 73 of file HistoParsers.cpp.

## ◆ low

template<typename Iterator, typename Skipper>

RealGrammar<Iterator, double, Skipper> Gaudi::Parsers::EdgeGrammar< Iterator, Skipper >::low

Definition at line 70 of file HistoParsers.cpp.

## ◆ nbins

template<typename Iterator, typename Skipper>

IntGrammar<Iterator, unsigned int, Skipper> Gaudi::Parsers::EdgeGrammar< Iterator, Skipper >::nbins

Definition at line 71 of file HistoParsers.cpp.

## ◆ result

template<typename Iterator, typename Skipper>

qi::rule<Iterator, Edges(), qi::locals<char>, Skipper> Gaudi::Parsers::EdgeGrammar< Iterator, Skipper >::result

Definition at line 72 of file HistoParsers.cpp.

The documentation for this class was generated from the following file:

- GaudiUtils/src/Lib/HistoParsers.cpp